/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.dao;

import java.util.Map;

/**
 * Accessor for configured group keys, used to filter groups associated with stats sessions
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface StatsGroupsDao {

    /**
     * @return Map of configured portal group keys to stats group keys 
     */
    public abstract Map<String, Integer> getGroupKeys();

}