/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.item.read;

import java.util.Map;

/**
 * Loads the groups related for a stats event sesssion
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface SessionGroupsLoader {
    /**
     * @param sessionId The event session ID to get group information for
     * @return A Map of portal session keys to stats session keys for groups for this session, the Map may be filtered
     * by the implementation
     */
    public Map<String, Integer> getGroupKeys(long sessionId);
}
