/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.om;

/**
 * Used to summarize channel rendering data int memory
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public class ChannelData {
    public final CountAndTime renderTimes = new CountAndTime();
    public final CountAndTime actionTimes = new CountAndTime();
    public long targetedCount = 0;
    public long cachedCount = 0;
}
