/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.om;

import java.util.Date;

/**
 * Information about a user login, including the user name, group key and date
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public class LoginSummary {
    public final String userName;
    public final Date activityDate;
    public final Integer groupKey;
    
    public LoginSummary(String userName, Date activityDate, Integer groupKey) {
        this.userName = userName;
        this.activityDate = activityDate;
        this.groupKey = groupKey;
    }
}
