/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats;

import org.jasig.portal.stats.events.PortalEvent;

/**
 * Interfaced used by stats processor to update the last processed event for storage
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface EventProcessingTracker {
    /**
     * @param event The last completely processed event
     */
    public void setLastProcessedEvent(PortalEvent event);
}
