/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.dao;

import org.jasig.portal.stats.om.Interval;

/**
 * Gets the stats synthetic key for a specified Interval
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface IntervalStatsKeyDao {

    /**
     * @param interval Interval to get a synthetic key for
     * @return The stats side key for the interval
     */
    public long getIntervalKey(Interval interval);

}