/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.dao;

import org.jasig.portal.stats.om.TabInfo;

/**
 * Gets/Creates the stats synthetic key for a portal tab
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface TabStatsKeyDao {

    /**
     * @param tabInfo Information about the tab to get a key for
     * @return The synthetic key to use in stats for the specified tab info
     */
    public long getTabStatsKey(TabInfo tabInfo);

}