/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.events;

/**
 * Enumeration of all possible event types, an event will expose its type and it can be used for faster checking of types
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public enum EventType {
    CHANNEL_RENDERED,
    PAGE_RENDER_TIME,
    SESSION_CREATED,
    SESSION_DESTROYED,
    PORTLET_ACTION,
    CHANNEL_TARGETED;
}
