/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.om;

/**
 * Enumeration of all time intervals the stats processing handles
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public enum Interval {
    MINUTE,
    FIVE_MINUTE,
    HOUR,
    DAY,
    WEEK,
    MONTH,
    CALENDAR_QUARTER,
    ACADEMIC_TERM,
    YEAR;
}
