/**
 * Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.stats.purge;

import java.util.Date;

/**
 * Purges raw statistics from the source tables by date
 * 
 * @author Eric Dalquist
 * @version $Revision: 46014 $
 */
public interface StatsPurgingDao {
    /**
     * @param cutoff All stats events before this date will be deleted
     * @return The number of stats sessions deleted by the purge
     */
    public int purgeStatsBefore(Date cutoff);
}
